Bug 1414869 - VMRC is not working if IE compatibility mode is disabled
Summary: VMRC is not working if IE compatibility mode is disabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.3
Assignee: Brian McLaughlin
QA Contact: Kedar Kulkarni
URL:
Whiteboard: vmrc:ui:vsphere:browser
: 1452765 (view as bug list)
Depends On: 1389560 1443086
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 15:57 UTC by Satoe Imaishi
Modified: 2021-06-10 11:50 UTC (History)
13 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1389560
Environment:
Last Closed: 2017-06-28 14:57:56 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
Win7, IE11, VMRC build 9.0.0 build-4288332 (169.70 KB, image/png)
2017-03-17 15:53 UTC, Brian McLaughlin
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-01-19 19:21:02 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/4dec60348deb213d25c9b7b0e300d524f7c56093

commit 4dec60348deb213d25c9b7b0e300d524f7c56093
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu Jan 19 07:34:56 2017 -0800
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jan 19 14:16:43 2017 -0500

    Merge pull request #184 from bmclaughlin/add-vmrc-api-version
    
    Add latest VMRC API version
    (cherry picked from commit 90608b7beb944a671c2a0cad90921a80af854c67)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1414869

 app/views/vm_common/console_vmrc.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 3 Ramesh A 2017-02-20 14:40:13 UTC
Verification failed.  Still able to reproduce the same error as described in BZ#1393333

Comment 5 Brian McLaughlin 2017-03-17 11:35:46 UTC
Ramesh, do you have an environment that I can access to reproduce the error in?  I'm trying to reproduce in Win7, IE11, VMRC 9.0.0 build-4288332.

Thanks,
Brian

Comment 6 Brian McLaughlin 2017-03-17 15:53:55 UTC
Created attachment 1264115 [details]
Win7, IE11, VMRC build 9.0.0 build-4288332

Connected to vsphere6.

Comment 16 CFME Bot 2017-05-26 14:36:07 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/9e1ac2b47cdc5a4bc0af958064ecd4c9cec1e73d

commit 9e1ac2b47cdc5a4bc0af958064ecd4c9cec1e73d
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Thu May 25 09:14:10 2017 -0400
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Thu May 25 09:14:10 2017 -0400

    Fix global variable reference
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1414869

 app/views/vm_common/console_vmrc.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 17 CFME Bot 2017-05-26 14:36:13 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/82dd9749c10227ff07d78e63cc440181d2b2114c

commit 82dd9749c10227ff07d78e63cc440181d2b2114c
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Thu May 25 09:15:03 2017 -0400
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Thu May 25 09:15:03 2017 -0400

    Removed jQuery 1.8 from bower per:
    https://github.com/ManageIQ/manageiq-ui-classic/pull/1430
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1414869

 bower.json | 1 -
 1 file changed, 1 deletion(-)

Comment 18 CFME Bot 2017-05-26 14:36:20 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/bab293df50a16fab0607e61372dc6e86ea4c05a5

commit bab293df50a16fab0607e61372dc6e86ea4c05a5
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Wed May 24 14:19:58 2017 -0400
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Wed May 24 14:19:58 2017 -0400

    Fix VMRC console connectivity in IE11
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1414869

 app/views/vm_common/console_vmrc.html.haml | 13 ++++---------
 1 file changed, 4 insertions(+), 9 deletions(-)

Comment 19 Brian McLaughlin 2017-05-30 15:17:03 UTC
*** Bug 1452765 has been marked as a duplicate of this bug. ***

Comment 21 errata-xmlrpc 2017-06-28 14:57:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.